Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.event
Interface BuildEventListener

All Known Subinterfaces:
  EmailBuildResultsService

All Known Implementing Classes:
  BuildArtifactCopier, BuildNumberStamper, DefaultBuildEventListener, DefaultEmailBuildResultsService, DependencyBuilder, RssBuildFeedService, XmppBuildNotifier

    public interface BuildEventListener

Implement this interface to find out when a build is changed.

Field Summary
`static String` | `DISABLE_NOTIFICATION_SYSTEM_PROPERTY`

Method Summary
`void` | `onBuildComplete(Build build, BuildResults buildResults)` Be notofied when a build build has completed.
`void` | `onBuildStart(Build build, long buildNumber)` Be notified when a build build has started
`void` | `onDeletedBuild(Build build)` Be notified when a build has been removed from Bamboo
`void` | `onDeletedBuildResult(Build build, long buildNumber)` Be notified when a build has been removed from Bamboo
`void` | `onNewBuild(Build build)` Be notified when a new build is added to Bamboo.

Field Detail

### DISABLE_NOTIFICATION_SYSTEM_PROPERTY

    static final String DISABLE_NOTIFICATION_SYSTEM_PROPERTY

See Also:
  Constant Field Values

Method Detail

### onNewBuild

    void onNewBuild(Build build)

  Be notified when a new build is added to Bamboo.

  Parameters:
    `build` - The new build.
  Throws:
    `Exception` - A generic failure

### onDeletedBuild

    void onDeletedBuild(Build build)
                        throws Exception

  Be notified when a build has been removed from Bamboo

  Parameters:
    `build` - The build about to get zapped
  Throws:
    `Exception` - A generic failure

### onDeletedBuildResult

    void onDeletedBuildResult(Build build,
                              long buildNumber)

  Be notified when a build has been removed from Bamboo

  Parameters:
    `build` - The build who's build is about to be zapped
    `buildNumber` - The build number

### onBuildStart

    void onBuildStart(Build build,
                      long buildNumber)
                      throws Exception

  Be notified when a build build has started

  Parameters:
    `build` - The build being built
    `buildNumber` - The build number
  Throws:
    `Exception` - A generic failure

### onBuildComplete

    void onBuildComplete(Build build,
                         BuildResults buildResults)
                         throws Exception

  Be notofied when a build build has completed.

  Parameters:
    `build` - The build
    `buildResults` - The output from the build
  Throws:
    `Exception` - A generic failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.